Uses of Class
org.mockserver.model.HttpResponse
-
-
Uses of HttpResponse in org.mockserver.client
Methods in org.mockserver.client with parameters of type HttpResponse Modifier and Type Method Description Expectation[]ForwardChainExpectation. respond(HttpResponse httpResponse)Return response when expectation is matchedMethod parameters in org.mockserver.client with type arguments of type HttpResponse Modifier and Type Method Description Expectation[]ForwardChainExpectation. respond(List<HttpResponse> httpResponses)Set a list of responses to cycle through sequentially when expectation is matched. -
Uses of HttpResponse in org.mockserver.closurecallback.websocketregistry
Methods in org.mockserver.closurecallback.websocketregistry with parameters of type HttpResponse Modifier and Type Method Description voidWebSocketResponseCallback. handle(HttpResponse httpResponse)voidWebSocketRequestCallback. handleError(HttpResponse httpResponse)booleanWebSocketClientRegistry. sendClientMessage(String clientId, HttpRequest httpRequest, HttpResponse httpResponse) -
Uses of HttpResponse in org.mockserver.codec
Methods in org.mockserver.codec with parameters of type HttpResponse Modifier and Type Method Description protected voidMockServerHttpToNettyHttpResponseEncoder. encode(io.netty.channel.ChannelHandlerContext ctx, HttpResponse response, List<Object> out) -
Uses of HttpResponse in org.mockserver.cors
Methods in org.mockserver.cors with parameters of type HttpResponse Modifier and Type Method Description voidCORSHeaders. addCORSHeaders(HttpRequest request, HttpResponse response) -
Uses of HttpResponse in org.mockserver.dashboard.model
Methods in org.mockserver.dashboard.model that return HttpResponse Modifier and Type Method Description HttpResponseDashboardLogEntryDTO. getHttpResponse()Methods in org.mockserver.dashboard.model with parameters of type HttpResponse Modifier and Type Method Description DashboardLogEntryDTODashboardLogEntryDTO. setHttpResponse(HttpResponse httpResponse) -
Uses of HttpResponse in org.mockserver.echo.http
Fields in org.mockserver.echo.http with type parameters of type HttpResponse Modifier and Type Field Description Queue<HttpResponse>EchoServer.NextResponse. httpResponseMethods in org.mockserver.echo.http with parameters of type HttpResponse Modifier and Type Method Description voidEchoServer. withNextResponse(HttpResponse... httpResponses) -
Uses of HttpResponse in org.mockserver.examples.mockserver
Methods in org.mockserver.examples.mockserver that return HttpResponse Modifier and Type Method Description HttpResponseCallbackActionExamples.TestExpectationResponseCallback. handle(HttpRequest httpRequest) -
Uses of HttpResponse in org.mockserver.filters
Methods in org.mockserver.filters that return HttpResponse Modifier and Type Method Description HttpResponseHopByHopHeaderFilter. onResponse(HttpResponse response)Methods in org.mockserver.filters with parameters of type HttpResponse Modifier and Type Method Description HttpResponseHopByHopHeaderFilter. onResponse(HttpResponse response) -
Uses of HttpResponse in org.mockserver.httpclient
Methods in org.mockserver.httpclient that return HttpResponse Modifier and Type Method Description HttpResponseNettyHttpClient. sendRequest(HttpRequest httpRequest, long timeout, TimeUnit unit)HttpResponseNettyHttpClient. sendRequest(HttpRequest httpRequest, long timeout, TimeUnit unit, boolean ignoreErrors)Methods in org.mockserver.httpclient that return types with arguments of type HttpResponse Modifier and Type Method Description CompletableFuture<HttpResponse>NettyHttpClient. sendRequest(HttpRequest httpRequest)CompletableFuture<HttpResponse>NettyHttpClient. sendRequest(HttpRequest httpRequest, InetSocketAddress remoteAddress)CompletableFuture<HttpResponse>NettyHttpClient. sendRequest(HttpRequest httpRequest, InetSocketAddress remoteAddress, Long connectionTimeoutMillis)CompletableFuture<HttpResponse>NettyHttpClient. sendRequest(HttpRequest httpRequest, InetSocketAddress remoteAddress, Long connectionTimeoutMillis, boolean disableStreaming) -
Uses of HttpResponse in org.mockserver.llm
Methods in org.mockserver.llm that return HttpResponse Modifier and Type Method Description default HttpResponseProviderCodec. encode(Completion completion, String model)default HttpResponseProviderCodec. encodeEmbedding(EmbeddingResponse embedding, String input) -
Uses of HttpResponse in org.mockserver.llm.codec
Methods in org.mockserver.llm.codec that return HttpResponse Modifier and Type Method Description HttpResponseAnthropicCodec. encode(Completion completion, String model)HttpResponseAzureOpenAiCodec. encode(Completion completion, String model)HttpResponseBedrockCodec. encode(Completion completion, String model)HttpResponseGeminiCodec. encode(Completion completion, String model)HttpResponseOllamaCodec. encode(Completion completion, String model)HttpResponseOpenAiChatCompletionsCodec. encode(Completion completion, String model)HttpResponseOpenAiResponsesCodec. encode(Completion completion, String model)HttpResponseAnthropicCodec. encodeEmbedding(EmbeddingResponse embedding, String input)HttpResponseAzureOpenAiCodec. encodeEmbedding(EmbeddingResponse embedding, String input)HttpResponseBedrockCodec. encodeEmbedding(EmbeddingResponse embedding, String input)HttpResponseGeminiCodec. encodeEmbedding(EmbeddingResponse embedding, String input)HttpResponseOllamaCodec. encodeEmbedding(EmbeddingResponse embedding, String input)HttpResponseOpenAiChatCompletionsCodec. encodeEmbedding(EmbeddingResponse embedding, String input)HttpResponseOpenAiResponsesCodec. encodeEmbedding(EmbeddingResponse embedding, String input) -
Uses of HttpResponse in org.mockserver.log.model
Methods in org.mockserver.log.model that return HttpResponse Modifier and Type Method Description HttpResponseLogEntry. getHttpResponse()HttpResponseLogEntry. getHttpUpdatedResponse()Methods in org.mockserver.log.model with parameters of type HttpResponse Modifier and Type Method Description LogEntryLogEntry. setExpectation(RequestDefinition httpRequest, HttpResponse httpResponse)LogEntryLogEntry. setHttpResponse(HttpResponse httpResponse) -
Uses of HttpResponse in org.mockserver.mappers
Methods in org.mockserver.mappers that return HttpResponse Modifier and Type Method Description HttpResponseFullHttpResponseToMockServerHttpResponse. mapFullHttpResponseToMockServerResponse(io.netty.handler.codec.http.FullHttpResponse fullHttpResponse)Methods in org.mockserver.mappers with parameters of type HttpResponse Modifier and Type Method Description voidMockServerHttpResponseToHttpServletResponseEncoder. mapMockServerResponseToHttpServletResponse(HttpResponse httpResponse, javax.servlet.http.HttpServletResponse httpServletResponse)List<io.netty.handler.codec.http.DefaultHttpObject>MockServerHttpResponseToFullHttpResponse. mapMockServerResponseToNettyResponse(HttpResponse httpResponse) -
Uses of HttpResponse in org.mockserver.mock
Methods in org.mockserver.mock that return HttpResponse Modifier and Type Method Description HttpResponseHttpState. debugMismatch(HttpRequest request)HttpResponseHttpState. explainUnmatched(HttpRequest request)Retrieves recent requests that matched no expectation and, for each, computes ranked closest-expectation diagnostics with remediation hints.HttpResponseExpectation. getHttpResponse()HttpResponseHttpState. retrieve(HttpRequest request)Methods in org.mockserver.mock that return types with arguments of type HttpResponse Modifier and Type Method Description List<HttpResponse>Expectation. getHttpResponses()Methods in org.mockserver.mock with parameters of type HttpResponse Modifier and Type Method Description ExpectationExpectation. thenRespond(HttpResponse httpResponse)Method parameters in org.mockserver.mock with type arguments of type HttpResponse Modifier and Type Method Description ExpectationExpectation. thenRespond(List<HttpResponse> httpResponses) -
Uses of HttpResponse in org.mockserver.mock.action
Methods in org.mockserver.mock.action that return HttpResponse Modifier and Type Method Description HttpResponseExpectationForwardAndResponseCallback. handle(HttpRequest httpRequest, HttpResponse httpResponse)Called for every response received from a proxied request, the return value is the returned by MockServer.HttpResponseExpectationResponseCallback. handle(HttpRequest httpRequest)Called for every request when expectation condition has been satisfied.Methods in org.mockserver.mock.action with parameters of type HttpResponse Modifier and Type Method Description HttpResponseExpectationForwardAndResponseCallback. handle(HttpRequest httpRequest, HttpResponse httpResponse)Called for every response received from a proxied request, the return value is the returned by MockServer. -
Uses of HttpResponse in org.mockserver.mock.action.http
Methods in org.mockserver.mock.action.http that return HttpResponse Modifier and Type Method Description HttpResponseHttpLlmResponseActionHandler. handle(HttpLlmResponse httpLlmResponse, HttpRequest request)HttpResponseHttpResponseActionHandler. handle(HttpResponse httpResponse)HttpResponseHttpResponseClassCallbackActionHandler. handle(HttpClassCallback httpClassCallback, HttpRequest request)HttpResponseHttpResponseTemplateActionHandler. handle(HttpTemplate httpTemplate, HttpRequest httpRequest)Methods in org.mockserver.mock.action.http that return types with arguments of type HttpResponse Modifier and Type Method Description CompletableFuture<HttpResponse>HttpForwardActionResult. getHttpResponse()Methods in org.mockserver.mock.action.http with parameters of type HttpResponse Modifier and Type Method Description HttpResponseHttpResponseActionHandler. handle(HttpResponse httpResponse)Method parameters in org.mockserver.mock.action.http with type arguments of type HttpResponse Modifier and Type Method Description protected HttpForwardActionResultHttpForwardAction. sendRequest(HttpRequest request, InetSocketAddress remoteAddress, Function<HttpResponse,HttpResponse> overrideHttpResponse)protected HttpForwardActionResultHttpForwardAction. sendRequest(HttpRequest request, InetSocketAddress remoteAddress, Function<HttpResponse,HttpResponse> overrideHttpResponse)protected HttpForwardActionResultHttpForwardAction. sendRequest(HttpRequest request, InetSocketAddress remoteAddress, Function<HttpResponse,HttpResponse> overrideHttpResponse, boolean disableStreaming)protected HttpForwardActionResultHttpForwardAction. sendRequest(HttpRequest request, InetSocketAddress remoteAddress, Function<HttpResponse,HttpResponse> overrideHttpResponse, boolean disableStreaming)HttpForwardActionResultHttpForwardActionResult. setHttpResponse(CompletableFuture<HttpResponse> httpResponse)Constructor parameters in org.mockserver.mock.action.http with type arguments of type HttpResponse Constructor Description HttpForwardActionResult(HttpRequest httpRequest, CompletableFuture<HttpResponse> httpResponse, Function<HttpResponse,HttpResponse> overrideHttpResponse)HttpForwardActionResult(HttpRequest httpRequest, CompletableFuture<HttpResponse> httpResponse, Function<HttpResponse,HttpResponse> overrideHttpResponse)HttpForwardActionResult(HttpRequest httpRequest, CompletableFuture<HttpResponse> httpResponse, Function<HttpResponse,HttpResponse> overrideHttpResponse) -
Uses of HttpResponse in org.mockserver.mock.crud
Methods in org.mockserver.mock.crud that return HttpResponse Modifier and Type Method Description HttpResponseCrudDispatcher. dispatch(HttpRequest request)HttpResponseCrudActionHandler. handleCreate(HttpRequest request)HttpResponseCrudActionHandler. handleDelete(HttpRequest request)HttpResponseCrudActionHandler. handleGetById(HttpRequest request)HttpResponseCrudActionHandler. handleList(HttpRequest request)HttpResponseCrudActionHandler. handleUpdate(HttpRequest request) -
Uses of HttpResponse in org.mockserver.model
Methods in org.mockserver.model that return HttpResponse Modifier and Type Method Description static HttpResponseHttpResponse. badGatewayResponse()Static builder to create a bad gateway response.HttpResponseHttpResponse. clone()HttpResponseHttpRequestAndHttpResponse. getHttpResponse()HttpResponseLogEventRequestAndResponse. getHttpResponse()HttpResponseHttpOverrideForwardedRequest. getResponseOverride()HttpResponseHttpTemplate. getResponseOverride()static HttpResponseHttpResponse. notFoundResponse()Static builder to create a not found response.HttpResponseHttpResponse. removeHeader(String name)HttpResponseHttpResponse. removeHeader(NottableString name)HttpResponseHttpResponse. replaceHeader(String name, String... values)Update header to return as a Header object, if a header with the same name already exists it will be modifiedHttpResponseHttpResponse. replaceHeader(Header header)Update header to return as a Header object, if a header with the same name already exists it will be modifiedstatic HttpResponseHttpResponse. response()Static builder to create a response.static HttpResponseHttpResponse. response(String body)Static builder to create a response with a 200 status code and the string response body.HttpResponseHttpResponse. shallowClone()HttpResponseHttpResponse. update(HttpResponse responseOverride, HttpResponseModifier responseModifier)HttpResponseHttpResponse. withBody(byte[] body)Set response body to return as binary such as a pdf or imageHttpResponseHttpResponse. withBody(String body)Set response body to return as a string response body.HttpResponseHttpResponse. withBody(String body, Charset charset)Set response body to return a string response body with the specified encoding.HttpResponseHttpResponse. withBody(String body, MediaType contentType)Set response body to return a string response body with the specified encoding.HttpResponseHttpResponse. withBody(BodyWithContentType body)Set the body to return for example:HttpResponseHttpResponse. withBodyFromFile(String filePath)HttpResponseHttpResponse. withBodyFromFile(String filePath, MediaType contentType)HttpResponseHttpResponse. withConnectionOptions(ConnectionOptions connectionOptions)The connection options for override the default connection behaviour, this allows full control of headers such as "Connection" or "Content-Length" or controlling whether the socket is closed after the response has been sentHttpResponseHttpResponse. withContentType(MediaType mediaType)HttpResponseHttpResponse. withCookie(String name, String value)Add cookie to return as Set-Cookie headerHttpResponseHttpResponse. withCookie(Cookie cookie)Add cookie to return as Set-Cookie headerHttpResponseHttpResponse. withCookie(NottableString name, NottableString value)Adds one cookie to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can be a plain string or a regex (for more details of the supported regex syntax see ...)HttpResponseHttpResponse. withCookies(List<Cookie> cookies)The cookies to return as Set-Cookie headers as a list of Cookie objectsHttpResponseHttpResponse. withCookies(Cookie... cookies)The cookies to return as Set-Cookie headers as a varargs of Cookie objectsHttpResponseHttpResponse. withCookies(Cookies cookies)HttpResponseHttpResponse. withHeader(String name, String... values)Add a header to return as a Header object, if a header with the same name already exists this will NOT be modified but two headers will existHttpResponseHttpResponse. withHeader(Header header)Add a header to return as a Header object, if a header with the same name already exists this will NOT be modified but two headers will existHttpResponseHttpResponse. withHeader(NottableString name, NottableString... values)Add a header to return as a Header object, if a header with the same name already exists this will NOT be modified but two headers will existHttpResponseHttpResponse. withHeaders(List<Header> headers)The headers to return as a list of Header objectsHttpResponseHttpResponse. withHeaders(Header... headers)The headers to return as a varargs of Header objectsHttpResponseHttpResponse. withHeaders(Headers headers)HttpResponseHttpResponse. withReasonPhrase(String reasonPhrase)The reason phrase to return, if no reason code is returned this will be defaulted to the standard reason phrase for the statusCode, i.e. for a statusCode of 200 the standard reason phrase is "OK"HttpResponseHttpResponse. withStatusCode(Integer statusCode)The status code to return, such as 200, 404, the status code specified here will result in the default status message for this status code for example for 200 the status message "OK" is usedHttpResponseHttpResponse. withStreamId(Integer streamId)HttpResponseHttpResponse. withStreamingBody(StreamingBody streamingBody)Attach a streaming body to this response.HttpResponseHttpResponse. withTiming(Timing timing)Methods in org.mockserver.model with parameters of type HttpResponse Modifier and Type Method Description static HttpOverrideForwardedRequestHttpOverrideForwardedRequest. forwardOverriddenRequest(HttpRequest httpRequest, HttpRequestModifier requestModifier, HttpResponse httpResponse, HttpResponseModifier responseModifier)Static builder which will allow overriding proxied request with the specified request.static HttpOverrideForwardedRequestHttpOverrideForwardedRequest. forwardOverriddenRequest(HttpRequest httpRequest, HttpResponse httpResponse)Static builder which will allow overriding proxied request with the specified request.HttpResponseHttpResponse. update(HttpResponse responseOverride, HttpResponseModifier responseModifier)HttpRequestAndHttpResponseHttpRequestAndHttpResponse. withHttpResponse(HttpResponse httpResponse)LogEventRequestAndResponseLogEventRequestAndResponse. withHttpResponse(HttpResponse httpResponse)HttpOverrideForwardedRequestHttpOverrideForwardedRequest. withResponseOverride(HttpResponse httpResponse)All fields, headers, cookies, etc of the provided response will be overriddenHttpTemplateHttpTemplate. withResponseOverride(HttpResponse responseOverride) -
Uses of HttpResponse in org.mockserver.netty.grpc
Methods in org.mockserver.netty.grpc with parameters of type HttpResponse Modifier and Type Method Description protected voidGrpcToHttpResponseHandler. encode(io.netty.channel.ChannelHandlerContext ctx, HttpResponse response, List<Object> out) -
Uses of HttpResponse in org.mockserver.netty.responsewriter
Methods in org.mockserver.netty.responsewriter with parameters of type HttpResponse Modifier and Type Method Description voidEarlyNettyResponseWriter. sendResponse(HttpRequest request, HttpResponse response)voidNettyResponseWriter. sendResponse(HttpRequest request, HttpResponse response) -
Uses of HttpResponse in org.mockserver.openapi
Methods in org.mockserver.openapi with parameters of type HttpResponse Modifier and Type Method Description static List<String>OpenAPIResponseValidator. validate(String specUrlOrPayload, String operationId, HttpResponse response, MockServerLogger logger)Method parameters in org.mockserver.openapi with type arguments of type HttpResponse Modifier and Type Method Description List<OpenApiContractTest.ContractTestResult>OpenApiContractTest. runContractTests(String specUrlOrPayload, String baseUrl, String operationIdFilter, Function<HttpRequest,HttpResponse> httpSender)Runs contract tests for each operation in the spec.OpenApiResiliencyTest.ResiliencyTestReportOpenApiResiliencyTest. runResiliencyTests(String specUrlOrPayload, String baseUrl, String operationIdFilter, Function<HttpRequest,HttpResponse> httpSender)Runs resiliency tests for each operation in the spec.List<OpenApiTrafficValidator.TrafficValidationResult>OpenApiTrafficValidator. validate(String specUrlOrPayload, List<org.apache.commons.lang3.tuple.Pair<HttpRequest,HttpResponse>> requestResponsePairs)Validates a list of request/response pairs against the given OpenAPI spec. -
Uses of HttpResponse in org.mockserver.responsewriter
Methods in org.mockserver.responsewriter that return HttpResponse Modifier and Type Method Description protected HttpResponseResponseWriter. addConnectionHeader(HttpRequest request, HttpResponse response)Methods in org.mockserver.responsewriter with parameters of type HttpResponse Modifier and Type Method Description protected HttpResponseResponseWriter. addConnectionHeader(HttpRequest request, HttpResponse response)abstract voidResponseWriter. sendResponse(HttpRequest request, HttpResponse response)voidResponseWriter. writeResponse(HttpRequest request, HttpResponse response, boolean apiResponse) -
Uses of HttpResponse in org.mockserver.scheduler
Method parameters in org.mockserver.scheduler with type arguments of type HttpResponse Modifier and Type Method Description voidScheduler. submit(HttpForwardActionResult future, BiConsumer<HttpResponse,Throwable> consumer, boolean synchronous) -
Uses of HttpResponse in org.mockserver.serialization
Methods in org.mockserver.serialization that return HttpResponse Modifier and Type Method Description HttpResponseHttpResponseSerializer. deserialize(String jsonHttpResponse)HttpResponse[]HttpResponseSerializer. deserializeArray(String jsonHttpResponses)Methods in org.mockserver.serialization that return types with arguments of type HttpResponse Modifier and Type Method Description Class<HttpResponse>HttpResponseSerializer. supportsType()Methods in org.mockserver.serialization with parameters of type HttpResponse Modifier and Type Method Description StringHttpResponseSerializer. serialize(HttpResponse httpResponse)StringHttpResponseSerializer. serialize(HttpResponse... httpResponses)Method parameters in org.mockserver.serialization with type arguments of type HttpResponse Modifier and Type Method Description StringHttpResponseSerializer. serialize(List<HttpResponse> httpResponses) -
Uses of HttpResponse in org.mockserver.serialization.java
Methods in org.mockserver.serialization.java with parameters of type HttpResponse Modifier and Type Method Description StringHttpResponseToJavaSerializer. serialize(int numberOfSpacesToIndent, HttpResponse httpResponse) -
Uses of HttpResponse in org.mockserver.serialization.model
Methods in org.mockserver.serialization.model that return HttpResponse Modifier and Type Method Description HttpResponseHttpResponseDTO. buildObject()Constructors in org.mockserver.serialization.model with parameters of type HttpResponse Constructor Description HttpResponseDTO(HttpResponse httpResponse) -
Uses of HttpResponse in org.mockserver.serialization.serializers.response
Methods in org.mockserver.serialization.serializers.response with parameters of type HttpResponse Modifier and Type Method Description voidHttpResponseSerializer. serialize(HttpResponse httpResponse, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider) -
Uses of HttpResponse in org.mockserver.servlet.responsewriter
Methods in org.mockserver.servlet.responsewriter with parameters of type HttpResponse Modifier and Type Method Description voidServletResponseWriter. sendResponse(HttpRequest request, HttpResponse response) -
Uses of HttpResponse in org.mockserver.templates
Methods in org.mockserver.templates that return HttpResponse Modifier and Type Method Description static HttpResponseResponseTemplateTester. testJavaScriptTemplate(String template, HttpRequest request)static HttpResponseResponseTemplateTester. testMustacheTemplate(String template, HttpRequest request)static HttpResponseResponseTemplateTester. testVelocityTemplate(String template, HttpRequest request) -
Uses of HttpResponse in org.mockserver.templates.engine
Methods in org.mockserver.templates.engine with parameters of type HttpResponse Modifier and Type Method Description <T> TTemplateEngine. executeTemplate(String template, HttpRequest httpRequest, HttpResponse httpResponse, Class<? extends DTO<T>> dtoClass) -
Uses of HttpResponse in org.mockserver.templates.engine.javascript
Methods in org.mockserver.templates.engine.javascript with parameters of type HttpResponse Modifier and Type Method Description <T> TJavaScriptTemplateEngine. executeTemplate(String template, HttpRequest request, HttpResponse response, Class<? extends DTO<T>> dtoClass) -
Uses of HttpResponse in org.mockserver.templates.engine.model
Constructors in org.mockserver.templates.engine.model with parameters of type HttpResponse Constructor Description HttpResponseTemplateObject(HttpResponse httpResponse) -
Uses of HttpResponse in org.mockserver.templates.engine.mustache
Methods in org.mockserver.templates.engine.mustache with parameters of type HttpResponse Modifier and Type Method Description <T> TMustacheTemplateEngine. executeTemplate(String template, HttpRequest request, HttpResponse response, Class<? extends DTO<T>> dtoClass) -
Uses of HttpResponse in org.mockserver.templates.engine.velocity
Methods in org.mockserver.templates.engine.velocity with parameters of type HttpResponse Modifier and Type Method Description <T> TVelocityTemplateEngine. executeTemplate(String template, HttpRequest request, HttpResponse response, Class<? extends DTO<T>> dtoClass) -
Uses of HttpResponse in org.mockserver.testing.integration.callback
Fields in org.mockserver.testing.integration.callback declared as HttpResponse Modifier and Type Field Description static HttpResponsePrecannedTestExpectationResponseCallback. httpResponsestatic HttpResponseStaticTestExpectationResponseCallback. httpResponseMethods in org.mockserver.testing.integration.callback that return HttpResponse Modifier and Type Method Description HttpResponsePrecannedTestExpectationForwardCallbackRequestAndResponse. handle(HttpRequest httpRequest, HttpResponse httpResponse)HttpResponsePrecannedTestExpectationResponseCallback. handle(HttpRequest httpRequest)HttpResponseStaticTestExpectationResponseCallback. handle(HttpRequest httpRequest)Methods in org.mockserver.testing.integration.callback with parameters of type HttpResponse Modifier and Type Method Description HttpResponsePrecannedTestExpectationForwardCallbackRequestAndResponse. handle(HttpRequest httpRequest, HttpResponse httpResponse) -
Uses of HttpResponse in org.mockserver.testing.integration.mock
Methods in org.mockserver.testing.integration.mock that return HttpResponse Modifier and Type Method Description protected HttpResponseAbstractBasicMockingIntegrationTest. localNotFoundResponse()protected HttpResponseAbstractMockingIntegrationTestBase. makeRequest(HttpRequest httpRequest, Collection<String> headersToRemove)
-